Item Logo
Wms apiApi referenceItem master api

Item Master Import

Item Master Import API

Item Master Import API is designed to facilitate the bulk import of item-relate data into a Warehouse Management System. This article introduces the general Item Master Import API use case for easily understanding and applying this API.

Introduction

Item Master Import API is commonly used when setting up or updating the item master records, which are essential for managing inventory, optimizing storage, and processing orders efficiently. It supports batch processing of large volumes of item data, thus saving time and reducing errors associated with manual entry. The main purpose is to automate the process of updating the item catalog within the WMS and ensure that all the inventory data is accurate and up-to-date.

API Request

API: POST /edi/item-master/import Body Request:

Main Fields


FieldName

Description

DataType

Length

Required

Version

Sample

Root








1

CompanyID

Hard code, assigned by UNIS system admin.

string

15

Yes

1.4

"LT"

2

CustomerID

assigned by UNIS accounting dept.

string

15

Yes

1.4

"AUKINT0001"

3

Items

Item master

array


Yes

1.4


4

Components

mapping about the components

array


No

1.4


Items Fields

ID

WISE Field

DataType

Length

Required

Note

Sample

1

ActionCodeAU

string

200

Yes

Must be one of the values below: A(add), U(update)

A

2

AllowOverWriteItem

string

10

Yes

Must be one of the values below: Y, N

Y

3

CompanyId

string

200

No


Unisco Fulfillment

4

SupplierName

string

200

No

Must exist in wise customerCode, or leave it blank

AUKINT0001

5

CustomerName

string

200

Yes

Must exist in wise customerCode

AUKINT0001

6

ItemID

string

200

Yes


121508

7

ItemDescription

string

200

Yes


KOURTAKI RETSINA (750 ML/CQ:12) Kourtaki OTH IMPORT

8

ShortDescription

string

200

No



9

Abbreviation

string

200

No



10

ItemGroupID

string

200

No



11

ItemSubGroupID

string

200

No



13

Tags

string

200

Yes

Must be one of the values below: Product Material, or blank defaults Product


12

TitleIds

string

200

No



14

Labels

string

200

No


WET,CasePick

15

BrandID

string

200

No

Must exist in system, or leave it blank


16

GroupID

string

200

No



17

Grade

string

200

No



18

BillingGrade

string

200

No*

* item grade for billing,If the BNP is set, the optional value must be one of them.or else,leave it blank


19

FreightClass

string

200

No


100

20

NMFC

string

200

No


111510-00

21

CommodityDescription

string

200

No



22

CountryOrigin

string

200

No


Greece

23

FileIDs

string

200

No



24

UPCCode

string

200

No


13791050147

25

UPCCodeCase

string

200

No



26

EANCode

string

200

No



27

IsBundle

string

10

No



28

HasSerialNumber

string

10

No

Must be one of the values below: Y, N, or leave it blank defaults N.


29

SerialNoLength

string

200

No


0

30

IsHazardousMaterial

string

10

No

Must be one of the values below: Y, N, or leave it blank

N

31

NeedAllowOverwriteByImport

string

10

No

Must be one of the values below: Y, N,defautl Y.

N

32

Status

string

200

No

Must be one of the values below: Active, Inactive,Discontinue, if blank will defualt Active

Active

33

ValidationInboundSerialNo

string

10

No



34

SerialNoScanLotNoCheck

string

10

No



35

RequireCollectLotNoOnReceive

string

10

No

Must be one of the values below: Y, N, or leave it blank

N

36

DefaultPutAwayLocationSubType

string

200

No



37

validationOutboundSerialNo

string

10

No



38

NeedScanOutboundSerialNo

string

10

No



39

ValidatedOutboundSerialNoAgainstInbound

string

10

No



40

IsAllowOverWriteSuggestedPickLP

string

10

No



41

ShippingRule

string

200

Yes

Must be one of the values below: FIFO, LIFO, FEFO, LSFO, NA

FIFO

42

RequireCollectExpirationDateOnReceive

string

10

No



43

RequireCollectMfgDateOnReceive

string

10

No



44

RequireCollectShelfLifeDaysOnReceive

string

10

No



45

RequireCollectSnOnShipping

string

10

No



46

StackHeight

float


Yes

if bnp set,option value must be one of them,or else must be in 1 high,2 high,2.5 high,3 high,3.5 high,4 high,4.5 high,5 high,6 high,rack


47

BaseUOM

string

200

yes

Must be one of the values below: EA, IN, CS, or leave it blank

EA

48

BaseLength

float


No


3

49

BaseWidth

float


No


3

50

BaseHeight

float


No


12

51

BaseUnitLength

string

200

No

Must be one of the values below: CM, M, Inch, or leave it blank

Inch

52

BaseWeight

float


No


3.17

53

BaseUnitWeight

string

200

No

Must be one of the values below: G, KG, Pound, or leave it blank

Pound

54

BaseVolume

float


No


108

55

BaseUnitVolume

string

200

No

Must be one of the values below: cu in, cu ft, cbm, or leave it blank

cu in

56

BaseBillingUOM

string

200

No



57

InnerPackQty

float


No


12

58

InnerPackUOM

string

200

No

Must be one of the values below: IN, or leave it blank

IN

59

InnerBillingUOM

string

200

No



60

CaseUOM

string

200

No

Must be one of the values below: CS, or leave it blank

CS

61

CaseInsideUOM

string

200

No

Must be one of the values below: EA, or leave it blank.If you put value in this field, then must use EA as Base_UOM

EA

62

CaseQty

float


No


12

63

CaseLength

float


No


12.5

64

CaseWidth

float


No


12.25

65

CaseHeight

float


No


9.5

66

CaseUnitLength

string

200

No

Must be one of the values below: CM, M, Inch, or leave it blank

Inch

67

CaseWeight

float


No


38

68

CaseUnitWeight

string

200

No

Must be one of the values below: G, KG,OZ, Pound, or leave it blank

Pound

69

CaseVolume

string

200




70

CaseUnitVolume

string

200




71

CaseBillingUOM

string

200




72

PalletTi

float


No


14

73

PalletHi

float


No


4

74

CasesPerPallet

float


No


56

75

DynTxtPropertyName01

string

200

No



76

DynTxtPropertyValue01

string

200

No



77

DynTxtPropertyName02

string

200

No



78

DynTxtPropertyValue02

string

200

No



79

DynTxtPropertyName03

string

200

No



80

DynTxtPropertyValue03

string

200

No



81

DynTxtPropertyName04

string

200

No



82

DynTxtPropertyValue04

string

200

No



83

DynTxtPropertyName05

string

200

No



84

DynTxtPropertyValue05

string

200

No



85

DynTxtPropertyName06

string

200

No



86

DynTxtPropertyValue06

string

200

No



87

DynTxtPropertyName07

string

200

No



88

DynTxtPropertyValue07

string

200

No



89

DynTxtPropertyName08

string

200

No



90

DynTxtPropertyValue08

string

200

No



91

DynTxtPropertyName09

string

200

No



92

DynTxtPropertyValue09

string

200

No



93

DynTxtPropertyName10

string

200

No



94

DynTxtPropertyValue10

string

200

No



95

DynTxtPropertyName11

string

200

No



96

DynTxtPropertyValue11

string

200

No



97

DynTxtPropertyName12

string

200

No



98

DynTxtPropertyValue12

string

200

No



99

DynTxtPropertyName13

string

200

No



100

DynTxtPropertyValue13

string

200

No



101

DynTxtPropertyName14

string

200

No



102

DynTxtPropertyValue14

string

200

No



103

DynTxtPropertyName15

string

200

No



104

DynTxtPropertyValue15

string

200

No



105

DynTxtPropertyName16

string

200

No



106

DynTxtPropertyValue16

string

200

No



107

DynTxtPropertyName17

string

200

No



108

DynTxtPropertyValue17

string

200

No



109

DynTxtPropertyName18

string

200

No



110

DynTxtPropertyValue18

string

200

No



111

DynTxtPropertyName19

string

200

No



112

DynTxtPropertyValue19

string

200

No



113

DynTxtPropertyName20

string

200

No



114

DynTxtPropertyValue20

string

200

No



115

DynDateTimePropertyName01

string

200

No



116

DynDateTimePropertyValue01

string

200

No



117

DynDateTimePropertyName02

string

200

No



118

DynDateTimePropertyValue02

string

200

No



119

DynDateTimePropertyName03

string

200

No



120

DynDateTimePropertyValue03

string

200

No



121

DynNumberPropertyName01

string

200

No



122

DynNumberPropertyValue01

string

200

No



123

DynNumberPropertyName02

string

200

No



124

DynNumberPropertyValue02

string

200

No



125

DynNumberPropertyName03

string

200

No



126

DynNumberPropertyValue03

string

200

No



127

DynNumberPropertyName04

string

200

No



128

DynNumberPropertyValue04

string

200

No



129

DynNumberPropertyName05

string

200

No



130

DynNumberPropertyValue05

string

200

No



131

DynNumberPropertyName06

string

200

No



132

DynNumberPropertyValue06

string

200

No



133

DynNumberPropertyName07

string

200

No



134

DynNumberPropertyValue07

string

200

No



135

DynNumberPropertyName08

string

200

No



136

DynNumberPropertyValue08

string

200

No



137

DynNumberPropertyName09

string

200

No



138

DynNumberPropertyValue09

string

200

No



139

DynNumberPropertyName10

string

200

No



140

DynNumberPropertyValue10

string

200

No



141

AKAValue01

string

200

No



142

AKAName01

string

200

No



143

AKA01Tag

string

200

No



144

AKA01Org

string

200

No



145

AKAValue02

string

200

No



146

AKAName02

string

200

No



147

AKA02Tag

string

200

No



148

AKA02Org

string

200

No



149

AKAValue03

string

200

No



150

AKAName03

string

200

No



151

AKA03Tag

string

200

No



152

AKA03Org

string

200

No



153

AKAValue04

string

200

No



154

AKAName04

string

200

No



155

AKA04Tag

string

200

No



156

AKA04Org

string

200

No



157

AKAValue05

string

200

No



158

AKAName05

string

200

No



159

AKA05Tag

string

200

No



160

AKA05Org

string

200

No



161

AKAValue06

string

200

No



162

AKAName06

string

200

No



163

AKA06Tag

string

200

No



164

AKA06Org

string

200

No



165

AKAValue07

string

200

No



166

AKAName07

string

200

No



167

AKA07Tag

string

200

No



168

AKA07Org

string

200

No



169

AKAValue08

string

200

No



170

AKAName08

string

200

No



171

AKA08Tag

string

200

No



172

AKA08Org

string

200

No



173

AKAValue09

string

200

No



174

AKAName09

string

200

No



175

AKA09Tag

string

200

No



176

AKA09Org

string

200

No



177

AKAValue10

string

200

No



178

AKAName10

string

200

No



179

AKA10Tag

string

200

No



180

AKA10Org

string

200

No



181

DiverseProperty01

string

200

No



182

DiverseProperty02

string

200

No



183

DiverseProperty03

string

200

No



184

DiverseProperty04

string

200

No



185

DiverseProperty05

string

200

No



186

DiverseProperty06

string

200

No



187

DiverseProperty07

string

200

No



188

DiverseProperty08

string

200

No



189

DiverseProperty09

string

200

No



190

DiverseProperty10

string

200

No



191

BaseCurrency

string

10

No

Available:<br />CNY, USD, EUR

USD

192

BasePrice

Decimal


No



Components Fields

ID

WISE Field

DataType

Length

Required

Note

Sample

1

ItemID

string

200

Yes

Item Id of component

Item-A-01

2

ParentItemID

string

200

Yes

Parent Item Id

Item-A

3

Qty

int


Yes

Qty of component

2

4

UOM

string

20

Yes

UOM of component

EA

Example

Request

json { "CustomerID": "AUKINT0001", "CompanyID": "LT", "Items": [{ "ActionCodeAU": "U", "AllowOverWriteItem": "Y", "SupplierName": "SupplierName", "CustomerName": "CustomerName", "ItemID": "131651-1", "ItemDescription": "ItemDescription", "ShortDescription": "ShortDescription", "Abbreviation": "Abbreviation", "ItemGroupID": "ItemGroupID", "Tags": ["Product"], "Labels": null, "BrandID": "BrandID", "GroupID": "GroupID", "Grade": "Grade", "BillingGrade": "4X4", "FreightClass": "FreightClass", "NMFC": "NMFC", "CommodityDescription": "CommodityDescription", "CountryOrigin": "CountryOrigin", "FileIDs": null, "UPCCode": "UPCCode", "UPCCodeCase": "UPCCodeCase", "EANCode": "EANCode", "IsBundle": "IsBundle", "HasSerialNumber": "HasSerialNumber", "SerialNoLength": "7", "IsHazardousMaterial": "Y", "NeedAllowOverwriteByImport": "Y", "Status": "Active", "ValidationInboundSerialNo": "Y", "SerialNoScanLotNoCheck": "Y", "RequireCollectLotNoOnReceive": "Y", "DefaultPutAwayLocationSubType": null, "ValidationOutboundSerialNo": "Y", "NeedScanOutboundSerialNo": "Y", "ValidatedOutboundSerialNoAgainstInbound": "Y", "IsAllowOverWriteSuggestedPickLP": "Y", "ShippingRule": null, "RequireCollectExpirationDateOnReceive": "Y", "RequireCollectMfgDateOnReceive": "Y", "RequireCollectShelfLifeDaysOnReceive": "Y", "RequireCollectSnOnShipping": "Y", "StackHeight": null, "BaseUOM": "EA", "BaseLength": "1", "BaseWidth": "2", "BaseHeight": "3", "BaseUnitLength": null, "BaseWeight": "4", "BaseUnitWeight": null, "BaseVolume": 5, "BaseUnitVolume": null, "BaseBillingUOM": null, "InnerPackQty": 6, "InnerPackUOM": "InnerPackUOM", "InnerBillingUOM": "InnerBillingUOM", "CaseUOM": null, "CaseInsideUOM": "EA", "CaseQty": "7", "CaseLength": "8", "CaseWidth": "9", "CaseHeight": "10", "CaseUnitLength": null, "CaseWeight": 12, "CaseUnitWeight": null, "CaseVolume": 13, "CaseUnitVolume": null, "CaseBillingUOM": "CaseBillingUOM", "PalletTi": 14, "PalletHi": "15", "CasesPerPallet": "16", "DynTxtPropertyName01": "DynTxtPropertyName01", "DynTxtPropertyValue01": "DynTxtPropertyValue01", "DynTxtPropertyName02": "DynTxtPropertyName02", "DynTxtPropertyValue02": "DynTxtPropertyValue02", "DynTxtPropertyName03": "DynTxtPropertyName03", "DynTxtPropertyValue03": "DynTxtPropertyValue03", "DynTxtPropertyName04": "DynTxtPropertyName04", "DynTxtPropertyValue04": "DynTxtPropertyValue04", "DynTxtPropertyName05": "DynTxtPropertyName05", "DynTxtPropertyValue05": "DynTxtPropertyValue05", "DynTxtPropertyName06": "DynTxtPropertyName06", "DynTxtPropertyValue06": "DynTxtPropertyValue06", "DynTxtPropertyName07": "DynTxtPropertyName07", "DynTxtPropertyValue07": "DynTxtPropertyValue07", "DynTxtPropertyName08": "DynTxtPropertyName08", "DynTxtPropertyValue08": "DynTxtPropertyValue08", "DynTxtPropertyName09": "DynTxtPropertyName09", "DynTxtPropertyValue09": "DynTxtPropertyValue09", "DynTxtPropertyName10": "DynTxtPropertyName10", "DynTxtPropertyValue10": "DynTxtPropertyValue10", "DynTxtPropertyName11": "DynTxtPropertyName11", "DynTxtPropertyValue11": "DynTxtPropertyValue11", "DynTxtPropertyName12": "DynTxtPropertyName12", "DynTxtPropertyValue12": "DynTxtPropertyValue12", "DynTxtPropertyName13": "DynTxtPropertyName13", "DynTxtPropertyValue13": "DynTxtPropertyValue13", "DynTxtPropertyName14": "DynTxtPropertyName14", "DynTxtPropertyValue14": "DynTxtPropertyValue14", "DynTxtPropertyName15": "DynTxtPropertyName15", "DynTxtPropertyValue15": "DynTxtPropertyValue15", "DynTxtPropertyName16": "DynTxtPropertyName16", "DynTxtPropertyValue16": "DynTxtPropertyValue16", "DynTxtPropertyName17": "DynTxtPropertyName17", "DynTxtPropertyValue17": "DynTxtPropertyValue17", "DynTxtPropertyName18": "DynTxtPropertyName18", "DynTxtPropertyValue18": "DynTxtPropertyValue18", "DynTxtPropertyName19": "DynTxtPropertyName19", "DynTxtPropertyValue19": "DynTxtPropertyValue19", "DynTxtPropertyName20": "DynTxtPropertyName20", "DynTxtPropertyValue20": "DynTxtPropertyValue20", "DynDateTimePropertyName01": "DynDateTimePropertyName01", "DynDateTimePropertyValue01": "", "DynDateTimePropertyName02": "DynDateTimePropertyName02", "DynDateTimePropertyValue02": "", "DynDateTimePropertyName03": "DynDateTimePropertyName03", "DynDateTimePropertyValue03": "", "DynNumberPropertyName01": "DynNumberPropertyName01", "DynNumberPropertyValue01": "", "DynNumberPropertyName02": "DynNumberPropertyName02", "DynNumberPropertyValue02": "", "DynNumberPropertyName03": "DynNumberPropertyName03", "DynNumberPropertyValue03": "", "DynNumberPropertyName04": "DynNumberPropertyName04", "DynNumberPropertyValue04": "", "DynNumberPropertyName05": "DynNumberPropertyName05", "DynNumberPropertyValue05": "", "DynNumberPropertyName06": "DynNumberPropertyName06", "DynNumberPropertyValue06": "", "DynNumberPropertyName07": "DynNumberPropertyName07", "DynNumberPropertyValue07": "", "DynNumberPropertyName08": "DynNumberPropertyName08", "DynNumberPropertyValue08": "", "DynNumberPropertyName09": "DynNumberPropertyName09", "DynNumberPropertyValue09": "", "DynNumberPropertyName10": "DynNumberPropertyName10", "DynNumberPropertyValue10": "", "AKAValue01": "AKAValue01", "AKAName01": "AKAName01", "AKA01Tag": "Retailer", "AKA01Org": "AUKINT0001", "AKAValue02": "AKAValue02", "AKAName02": "AKAName02", "AKA02Tag": "Retailer", "AKA02Org": "AUKINT0001", "AKAValue03": "AKAValue03", "AKAName03": "AKAName03", "AKA03Tag": "Retailer", "AKA03Org": "AUKINT0001", "AKAValue04": "AKAValue04", "AKAName04": "AKAName04", "AKA04Tag": "Retailer", "AKA04Org": "AUKINT0001", "AKAValue05": "AKAValue05", "AKAName05": "AKAName05", "AKA05Tag": "Retailer", "AKA05Org": "AUKINT0001", "AKAValue06": "AKAValue06", "AKAName06": "AKAName06", "AKA06Tag": "Retailer", "AKA06Org": "AUKINT0001", "AKAValue07": "AKAValue07", "AKAName07": "AKAName07", "AKA07Tag": "Retailer", "AKA07Org": "AUKINT0001", "AKAValue08": "AKAValue08", "AKAName08": "AKAName08", "AKA08Tag": "Retailer", "AKA08Org": "AUKINT0001", "AKAValue09": "AKAValue09", "AKAName09": "AKAName09", "AKA09Tag": "Retailer", "AKA09Org": "AUKINT0001", "AKAValue10": "AKAValue10", "AKAName10": "AKAName10", "AKA10Tag": "Retailer", "AKA10Org": "AUKINT0001", "DiverseProperty01": "DiverseProperty01", "DiverseProperty02": "DiverseProperty02", "DiverseProperty03": "DiverseProperty03", "DiverseProperty04": "DiverseProperty04", "DiverseProperty05": "DiverseProperty05", "DiverseProperty06": "DiverseProperty06", "DiverseProperty07": "DiverseProperty07", "DiverseProperty08": "DiverseProperty08", "DiverseProperty09": "DiverseProperty09", "DiverseProperty10": "DiverseProperty10" }], "Components":[ { "ItemID": "Item-A-01", "ParentItemID": "Item-A", "Qty": 2, "UOM": "EA" }, { "ItemID": "Item-A-02", "ParentItemID": "Item-A", "Qty": 5, "UOM": "EA" } ] }